AM263Px MCU+ SDK: TI DP83TC812 PHY

| AM263Px MCU+ SDK 26.00.00 |

Data Structures | Functions | Enumerations
TI DP83TC812 PHY
APIs for Networking modules » APIs for Enet LLD » Ethernet PHY Driver

## Introduction

TI DP83TC812 Ethernet PHY.

## Data Structures
struct | Dp83tc812_Cfg
| DP83TC812 PHY configuration parameters. More...

## Functions
void | Dp83tc812_initCfg (Dp83tc812_Cfg *cfg)
| Initialize DP83TC812 PHY specific config params. More...
void | Dp83tc812_bind (EthPhyDrv_Handle *hPhy, uint8_t phyAddr, Phy_RegAccessCb_t *pRegAccessCb)
bool | Dp83tc812_isPhyDevSupported (EthPhyDrv_Handle hPhy, const void *pversion)
bool | Dp83tc812_isMacModeSupported (EthPhyDrv_Handle hPhy, Phy_Mii mii)
int32_t | Dp83tc812_config (EthPhyDrv_Handle hPhy, const void *pExtCfg, const uint32_t extCfgSize, Phy_Mii mii, bool loopbackEn)
void | Dp83tc812_reset (EthPhyDrv_Handle hPhy)
bool | Dp83tc812_isResetComplete (EthPhyDrv_Handle hPhy)
void | Dp83tc812_printRegs (EthPhyDrv_Handle hPhy)

## Enumerations
enum | Dp83tc812_MasterSlaveMode { DP83TC812_MASTER_SLAVE_STRAP = 0x0U, DP83TC812_MASTER_MODE = 0x1U, DP83TC812_SLAVE_MODE = 0x2U }
| DP83TC812 Master/Slave modes. More...

## Enumeration Type Documentation

## ◆ Dp83tc812_MasterSlaveMode

enum Dp83tc812_MasterSlaveMode

DP83TC812 Master/Slave modes.

Enumerator
DP83TC812_MASTER_SLAVE_STRAP | Use Strap Setting
DP83TC812_MASTER_MODE | Use Master Mode
DP83TC812_SLAVE_MODE | Use Slave Mode

## Function Documentation

## ◆ Dp83tc812_initCfg()

void Dp83tc812_initCfg | ( | Dp83tc812_Cfg * | cfg | ) |

Initialize DP83TC812 PHY specific config params.

Initializes the DP83TC812 PHY specific configuration parameters.

Parameters

  cfg | DP83TC812 PHY config structure pointer

## ◆ Dp83tc812_bind()

void Dp83tc812_bind | ( | EthPhyDrv_Handle * | hPhy,
|  | uint8_t | phyAddr,
|  | Phy_RegAccessCb_t * | pRegAccessCb
| ) |  |

## ◆ Dp83tc812_isPhyDevSupported()

bool Dp83tc812_isPhyDevSupported | ( | EthPhyDrv_Handle | hPhy,
|  | const void * | pversion
| ) |  |

## ◆ Dp83tc812_isMacModeSupported()

bool Dp83tc812_isMacModeSupported | ( | EthPhyDrv_Handle | hPhy,
|  | Phy_Mii | mii
| ) |  |

## ◆ Dp83tc812_config()

int32_t Dp83tc812_config | ( | EthPhyDrv_Handle | hPhy,
|  | const void * | pExtCfg,
|  | const uint32_t | extCfgSize,
|  | Phy_Mii | mii,
|  | bool | loopbackEn
| ) |  |

## ◆ Dp83tc812_reset()

void Dp83tc812_reset | ( | EthPhyDrv_Handle | hPhy | ) |

## ◆ Dp83tc812_isResetComplete()

bool Dp83tc812_isResetComplete | ( | EthPhyDrv_Handle | hPhy | ) |

## ◆ Dp83tc812_printRegs()

void Dp83tc812_printRegs | ( | EthPhyDrv_Handle | hPhy | ) |